@ECHO OFF
REM ---------------- COLD FUSION SERVICE AUTOMATIC CYCLING ---------------- 
REM
REM This batch file schedules the Allaire Cold Fusion service to
REM be stopped and started once every 24 hours at approximately 
REM 2:00 AM.
REM
REM The cycling of the service does not prevent any client 
REM connections from being serviced. Once the service has been
REM stopped it will be automatically started as soon as a 
REM client attempts to connect to it (or, if no clients attempt
REM to connect it will be started one minute after it is stopped).
REM
REM The reason for cycling the service is to prevent ODBC drivers 
REM which have memory leaks from negatively affecting system 
REM performance. While not all drivers have leaks, many of the more 
REM widely used drivers do. For example, the leaks which exist in 
REM the Microsoft Access and SQL Server drivers are documented in 
REM the follwing knowledge base articles:
REM
REM  Q119150 - BUG: Memory Leak with ODBC Driver Manager During Connection
REM  Q132493 - PRB: Memory Leaks with Desktop Database Drivers
REM  Q119099 - BUG: Memory Leak with Desktop Database Drivers with USE
REM  Q132494 - Memory Leaks in SQL Server Driver During Connect/Disconnect
REM
REM If you wish to browse all of the scheduled jobs on your system
REM you can use the 'at' command (with no arguments) from the NT
REM command console. You may also browse scheduled jobs graphically
REM using the 'Scheduler' application which comes with the NT 
REM Resource Kit.
REM
REM -----------------------------------------------------------------------
@ECHO ON

at 02:00 /every:M,T,W,Th,F,S,Su net stop "Cold Fusion Executive"
at 02:01 /every:M,T,W,Th,F,S,Su net stop "Cold Fusion RDS"
at 02:02 /every:M,T,W,Th,F,S,Su net stop "Cold Fusion Application Server"

at 02:03 /every:M,T,W,Th,F,S,Su net start "Cold Fusion Application Server"
at 02:04 /every:M,T,W,Th,F,S,Su net start "Cold Fusion RDS"
at 02:05 /every:M,T,W,Th,F,S,Su net start "Cold Fusion Executive"

@ECHO OFF
PAUSE
